#!/usr/bin/perl -w
use strict;
use diagnostics;
use LinuxFocus::DB;

my $db = LinuxFocus::DB->new();

$db->load("lfdb.xml");

$db->setLang("nl");
foreach my $month ($db->getMonthIDs()) {
    print "month: " . $month . " ++ " . $db->getMonthName($month) . "\n";
    foreach my $id ($db->getArticleIDs(month => $month)) {
        $db->selectArticle($id);
        print $id . " ++ ";
        if ($db->getArticleTranslationDate(to => "nl")) {
            print "x";
        } else { print " "; };
        print " ++ " . $db->getArticleTitle() . " ++ " .
              $db->getArticleThemeID() . " ++ " .
              $db->getArticleAbstract() . "\n";
    }
    print "\n";
}


